cascading.flow.planner.iso.expression

## Class PathScopeExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ScopeExpression
  - - cascading.flow.planner.iso.expression.PathScopeExpression

- All Implemented Interfaces:
    Expression<Scope>

      public class PathScopeExpression
      extends ScopeExpression

  All is a special case allowing allowing a node-node match with any number of edges

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PathScopeExpression.Mode`

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ScopeExpression.Applies`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PathScopeExpression` | `ALL_BLOCKING`
    `static PathScopeExpression` | `ALL_NON_BLOCKING`
    `static PathScopeExpression` | `ANY_BLOCKING`
    `static PathScopeExpression` | `ANY_NON_BLOCKING`
    `static PathScopeExpression` | `BLOCKING`
    `static PathScopeExpression` | `NON_BLOCKING`

    - ### Fields inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ALL, ANY, applies, EACH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathScopeExpression()`
    `PathScopeExpression(PathScopeExpression.Mode mode)`
    `PathScopeExpression(ScopeExpression.Applies applies)`
    `PathScopeExpression(ScopeExpression.Applies applies, PathScopeExpression.Mode mode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsAll()`
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, Scope scope)`
    `PathScopeExpression.Mode` | `getMode()`
    `boolean` | `isIgnoreMode()`
    `String` | `toString()`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `appliesToAllPaths, appliesToAnyPath, appliesToEachPath, getApplies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLOCKING

          public static final PathScopeExpression BLOCKING

    - #### NON_BLOCKING

          public static final PathScopeExpression NON_BLOCKING

    - #### ALL_BLOCKING

          public static final PathScopeExpression ALL_BLOCKING

    - #### ALL_NON_BLOCKING

          public static final PathScopeExpression ALL_NON_BLOCKING

    - #### ANY_BLOCKING

          public static final PathScopeExpression ANY_BLOCKING

    - #### ANY_NON_BLOCKING

          public static final PathScopeExpression ANY_NON_BLOCKING

  - ### Constructor Detail

    - #### PathScopeExpression

          public PathScopeExpression()

    - #### PathScopeExpression

          public PathScopeExpression(ScopeExpression.Applies applies)

    - #### PathScopeExpression

          public PathScopeExpression(PathScopeExpression.Mode mode)

    - #### PathScopeExpression

          public PathScopeExpression(ScopeExpression.Applies applies,
                             PathScopeExpression.Mode mode)

  - ### Method Detail

    - #### acceptsAll

          public boolean acceptsAll()

      Overrides:
        `acceptsAll` in class `ScopeExpression`

    - #### isIgnoreMode

          public boolean isIgnoreMode()

    - #### getMode

          public PathScopeExpression.Mode getMode()

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        Scope scope)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.